library json_mapper_fixnum.example;

import 'package:dart_json_mapper/annotations.dart';
import 'package:dart_json_mapper/json_mapper.dart';
import 'package:dart_json_mapper_fixnum/dart_json_mapper_fixnum.dart';
import 'package:fixnum/fixnum.dart' show Int32;

import 'example.reflectable.dart'; // Import generated code.

@jsonSerializable
class Int32IntData {
  Int32 int32;

  Int32IntData(this.int32);
}

void main() {
  initializeReflectable();
  initializeJsonMapperForFixnum();

  // given
  final String rawString = "1234567890";
  final String json = '{"int32":"${rawString}"}';

  // when
  final String targetJson =
      JsonMapper.serialize(Int32IntData(Int32.parseInt(rawString)), '');

  // Serialized object
  print(targetJson);

  // when
  final Int32IntData target = JsonMapper.deserialize(json);

  // Deserialize object
  print(target.int32.toString());
}
